Bug 494633 - gnome-display-properties: Rotation options for primary display are incorrect
gnome-display-properties: Rotation options for primary display are incorrect
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-07 12:54 EDT by Kevin DeKorte
Modified: 2010-06-28 15:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:43:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (266.61 KB, text/plain)
2009-04-07 12:54 EDT, Kevin DeKorte
no flags Details
xorg.conf (949 bytes, text/plain)
2009-04-07 12:54 EDT, Kevin DeKorte
no flags Details

  None (edit)
Description Kevin DeKorte 2009-04-07 12:54:05 EDT
Created attachment 338530 [details]
Xorg.0.log

Description of problem:
With the F11 beta, xrandr and gnome-display-properties both showed all the correct rotation options, with current rawhide the primary display options are now wrong

Version-Release number of selected component (if applicable):
control-center-2.26.0-2.fc11.x86_64

How reproducible:
100%

Steps to Reproduce:
1. run xrandr
2. run gnome-display-properties
3.
  
Actual results:
xrandr reports

xrandr
Screen 0: minimum 320 x 200, current 2960 x 1050, maximum 4096 x 1280
DVI-1 connected 1680x1050+0+0 (normal left inverted right x axis y axis) 450mm x 280mm
   1680x1050      60.0*+   59.9  
   1280x1024      75.0     60.0  
   1024x768       75.0     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        75.0     72.8     66.7     59.9  
   720x400        70.1  
DVI-0 connected 1280x1024+1680+0 (normal left inverted right x axis y axis) 376mm x 301mm
   1280x1024      60.0*+
   1024x768       60.0  
   800x600        60.3  
   640x480        59.9  
   720x400        70.1  

but gnome-display-properties only shows normal and upside down, the secondary monitor is correct

Expected results:
xrandr and gnome-display-properties should match

Additional info:
Comment 1 Kevin DeKorte 2009-04-07 12:54:33 EDT
Created attachment 338531 [details]
xorg.conf
Comment 2 Bug Zapper 2009-06-09 09:25:30 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-04-27 09:32:47 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 07:43:47 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Kevin DeKorte 2010-06-28 15:32:12 EDT
Actually this bug was eventually fixed, but not one bothered to ever respond to it.

Note You need to log in before you can comment on or make changes to this bug.